Subject: Re: backward-kill-shell-word widget
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Tue, 12 Jan 2016 00:23:53 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jan 10,  2:37pm, Sebastian Gniazdowski wrote:
} Subject: Re: backward-kill-shell-word widget
}
} [...] I just was about
} to decide to bind shell-worded transpose-words-match to Alt-r (have
} transpose-segment bound to Alt-t) and noticed that I rather want to
} keep select-word-style bash.  I rather want Ctrl-W to delete normal
} words.

Just to finish a thought started elsewhere:

    zstyle ':zle:(backward|)kill-word' word-style bash
    zstyle ':zle:(backward|)kill-word-match' word-style shell
    zstyle ':zle:transpose-words' word-style normal
    zstyle ':zle:transpose-words-match' word-style shell

There isn't a copy-prev-word-match yet, but there easily could be.